# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

Classes | Namespaces | Macros | Enumerations
overlay.h File Reference
`#include <libdirac_common/common.h>`
`#include <libdirac_common/motion.h>`
`#include <libdirac_common/picture.h>`
`#include <util/instrumentation/libdirac_instrument/motion_colour.h>`
`#include <util/instrumentation/libdirac_instrument/motion_colour_arrows.h>`
`#include <util/instrumentation/libdirac_instrument/sad.h>`
`#include <util/instrumentation/libdirac_instrument/split_mode.h>`
`#include <util/instrumentation/libdirac_instrument/pred_mode.h>`
`#include <util/instrumentation/libdirac_instrument/overlay_symbols.h>`
`#include <util/instrumentation/libdirac_instrument/gm_inliers.h>`

Go to the source code of this file.

## Classes
class | dirac_instr::OverlayParams
| Class holding instrumentation overlay information. More...
class | dirac_instr::Overlay
| Class managing instrumentation overlay. More...

## Namespaces
namespace | dirac_instr

## Macros
#define | NO_REF -1

## Enumerations
enum | dirac_instr::OverlayOption { dirac_instr::motion_arrows, dirac_instr::motion_colour, dirac_instr::motion_colour_arrows, dirac_instr::gm_arrows, dirac_instr::gm_colour, dirac_instr::gm_colour_arrows, dirac_instr::gm_diff_arrows, dirac_instr::gm_diff_colour, dirac_instr::gm_diff_colour_arrows, dirac_instr::gm_inliers, dirac_instr::split_mode, dirac_instr::SAD, dirac_instr::pred_mode }
| Enumeration of options for instrumentation overlay. More...

## Macro Definition Documentation

#define NO_REF -1

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.